vich_uploader:
    db_driver: orm

    mappings:
        flag:
            uri_prefix: /uploads/flags
            upload_destination: '%kernel.project_dir%/public/uploads/flags'
        pavilion_images:
            uri_prefix: /user_uploads/images/pavilion #this matches a route
            upload_destination: '%kernel.project_dir%/user_uploads/images/pavilion'
            directory_namer: App\Namer\ImageDirectoryNamer
        passport_images:
            uri_prefix: /user_uploads/images/pavilion #this matches a route
            upload_destination: '%kernel.project_dir%/user_uploads/images/pavilion'
            directory_namer: App\Namer\PassportImageDirectoryNamer
            namer: App\Namer\ProfilenameNamer
        pavilion_documents:
            uri_prefix: /user_uploads/documents/pavilion
            upload_destination: '%kernel.project_dir%/user_uploads/documents/pavilion'
            directory_namer: App\Namer\UploadDirectoryNamer
